Bug 1779760 - Improve logging in EC, client and lock xlator
Summary: Improve logging in EC, client and lock xlator
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: disperse
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ashish Pandey
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1787294 1906420
TreeView+ depends on / blocked
 
Reported: 2019-12-04 16:35 UTC by Ashish Pandey
Modified: 2020-12-10 13:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1787294 1906420 (view as bug list)
Environment:
Last Closed: 2020-02-03 06:09:07 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gluster.org Gerrit 23814 0 None Merged Improve logging in EC, client and lock translator 2020-02-03 06:09:06 UTC

Description Ashish Pandey 2019-12-04 16:35:30 UTC
Some of the failure are logged ina way which has no information about file or location.
For example : 

[2019-11-20 01:34:18.052510] E [MSGID: 114031] [client-rpc-fops_v2.c:1345:client4_0_inodelk_cbk] 0-vol-client-1: remote operation failed [Invalid argument]
[2019-11-20 01:34:18.052517] E [MSGID: 114031] [client-rpc-fops_v2.c:1345:client4_0_inodelk_cbk] 0-vol-client-2: remote operation failed [Invalid argument]

Comment 1 Worker Ant 2019-12-05 07:32:05 UTC
REVIEW: https://review.gluster.org/23814 (Improve logging in EC, client and lock translator) posted (#1) for review on master by Ashish Pandey

Comment 2 Worker Ant 2020-02-03 06:09:07 UTC
REVIEW: https://review.gluster.org/23814 (Improve logging in EC, client and lock translator) merged (#7) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.